xcb_glx_get_fb_configs(3)

NAME
xcb_glx_get_fb_configs -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_glx_get_fb_configs_cookie_t xcb_glx_get_fb_configs(xcb_connection_t *conn, uint32_t screen);

  Reply datastructure

typedef struct xcb_glx_get_fb_configs_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t num_FB_configs;
    uint32_t num_properties;
    uint8_t  pad1[16];
} xcb_glx_get_fb_configs_reply_t;

  Reply function

xcb_glx_get_fb_configs_reply_t *xcb_glx_get_fb_configs_reply(xcb_connection_t *conn, xcb_glx_get_fb_configs_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

uint32_t *xcb_glx_get_fb_configs_property_list(const xcb_glx_get_fb_configs_request_t *reply);

int xcb_glx_get_fb_configs_property_list_length(const xcb_glx_get_fb_configs_reply_t *reply);

xcb_generic_iterator_t xcb_glx_get_fb_configs_property_list_end(const xcb_glx_get_fb_configs_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

screen
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_GLX_GET_FB_CONFIGS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

num_FB_configs
    TODO: NOT YET DOCUMENTED.

num_properties
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_glx_get_fb_configs_cookie_t. Errors have to be handled when calling the reply function xcb_glx_get_fb_configs_reply. If you want to handle errors in the event loop instead, use xcb_glx_get_fb_configs_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.